import * as React from 'react';
export interface ButtonProps extends TailWindCSS {
    /** pass any normal button props here */
    btnProps?: React.HTMLProps<HTMLButtonElement>;
    children?: any;
    className?: string;
    closeThickness?: string;
    color?: string;
    disabled?: boolean;
    inline?: boolean;
    loading?: boolean;
    outLine?: boolean;
    onClick?: () => void;
    style?: React.CSSProperties;
    type?: 'first' | 'second' | 'third' | 'fourth' | 'success' | 'error' | 'grey';
}
export declare const Button: React.FunctionComponent<ButtonProps>;
