"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) if (e.indexOf(p[i]) < 0)
            t[p[i]] = s[p[i]];
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const classnames_1 = require("classnames");
const getClassNames_1 = require("../../utils/getClassNames");
exports.Text = React.memo(props => {
    const { bold, center, children, color, className, paragraph, uppercase, style } = props, styleProps = __rest(props, ["bold", "center", "children", "color", "className", "paragraph", "uppercase", "style"]);
    const Tag = paragraph ? 'p' : 'span';
    return (React.createElement(Tag, { className: classnames_1.default('Headline', bold && 'font-bold', color && `text-${color}`, center && 'text-center', uppercase && 'uppercase', getClassNames_1.getClassNames(styleProps), className && className), style: style }, children));
});
exports.Text.defaultProps = {
    color: 'text'
};
